unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls,
  TAGraph, TASeries, TASources,
  LCLTranslator, Translations;

type

  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1LineSeries1: TLineSeries;
    Chart1LineSeries2: TLineSeries;
    ComboBox1: TComboBox;
    Panel1: TPanel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RandomChartSource1: TRandomChartSource;
    RandomChartSource2: TRandomChartSource;
    procedure ComboBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure RadioButton1Change(Sender: TObject);
    procedure RadioButton2Change(Sender: TObject);
  private
    procedure PopulateCombo;
    procedure TranslateForm;

  public
    procedure SetLanguage(ALang: String);

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  TAChartStrConsts;

resourcestring
  SRedCurve = 'Red curve';
  SBlueCurve = 'Blue curve';

{ TForm1 }

procedure TForm1.RadioButton1Change(Sender: TObject);
begin
  SetLanguage('en');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  TranslateForm;
  Combobox1.ItemIndex := 0;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  Chart1LineSeries1.LinePen.Style := TPenStyle(Combobox1.ItemIndex);
end;

procedure TForm1.PopulateCombo;
begin
  if Combobox1.Items.Count > 0 then
  begin
    Combobox1.Items[0] := rsPSSolid;
    Combobox1.Items[1] := rsPSDash;
    Combobox1.Items[2] := rsPSDot;
    Combobox1.Items[3] := rsPSDashDot;
    Combobox1.Items[4] := rsPSDashDotDot;
  end else
  begin
    Combobox1.Items.Clear;
    Combobox1.Items.Add(rsPSSolid);
    Combobox1.Items.Add(rsPSDash);
    Combobox1.Items.Add(rsPSDot);
    Combobox1.Items.Add(rsPSDashDot);
    Combobox1.Items.Add(rsPSDashDotDot);
  end;
end;

procedure TForm1.RadioButton2Change(Sender: TObject);
begin
  SetLanguage('de');
end;

procedure TForm1.SetLanguage(ALang: String);
begin
  SetDefaultLang(ALang);
  TranslateUnitResourceStrings('TAChartStrConsts', 'languages/tachartstrconsts.%s.po',
    ALang, ALang);
  TranslateForm;
end;

procedure TForm1.TranslateForm;
var
  i: Integer;
  ps: TPenStyle;
begin
  Chart1Lineseries1.Title := SRedCurve;
  Chart1LineSeries2.Title := SBlueCurve;
  PopulateCombo;
end;

end.

